View Issue Details

IDProjectCategoryView StatusLast Update
0038453LazarusLCLpublic2021-02-19 11:15
ReporterReinhard Kalinke Assigned Towp  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.1 (SVN) 
Fixed in Version2.2 
Summary0038453: OnContextPopup and OnShowHint missing with a number of controls
DescriptionOnContextPopup and OnShowHint are missing with quite a number of controls. Patches for tabs 'Standard', 'Additional', 'Common Controls' and 'Data Controls' included, but not guaranteed to be complete.
TagsNo tags attached.
Fixed in Revision64513
LazTarget-
Widgetset
Attached Files

Activities

Reinhard Kalinke

2021-02-07 21:53

reporter  

dbevents.diff (5,418 bytes)   
Index: lcl/dbctrls.pp
===================================================================
--- lcl/dbctrls.pp	(Revision 64500)
+++ lcl/dbctrls.pp	(Arbeitskopie)
@@ -248,6 +248,7 @@
     property Visible;
     property OnChange;
     property OnClick;
+    property OnContextPopup;
     property OnDblClick;
     property OnDragDrop;
     property OnDragOver;
@@ -266,6 +267,7 @@
     property OnMouseWheel;
     property OnMouseWheelDown;
     property OnMouseWheelUp;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
   end;
@@ -339,6 +341,7 @@
     property OnChangeBounds;
     property OnContextPopup;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OptimalFill;
   end;
@@ -409,6 +412,7 @@
     property Items;
     property MultiSelect;
     property OnClick;
+    property OnContextPopup;
     property OnDblClick;
     property OnDragDrop;
     property OnDragOver;
@@ -428,6 +432,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property Options;
@@ -514,6 +519,7 @@
 //    property MultiSelect;
     property OnClick;
     property OnDblClick;
+    property OnContextPopup;
     property OnDragDrop;
     property OnDragOver;
 //    property OnDrawItem;
@@ -533,6 +539,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property Options;
@@ -613,6 +620,7 @@
     property OnChange: TNotifyEvent read FOnChange write FOnChange;
     property OnChangeBounds;
     property OnClick;
+    property OnContextPopup;
     property OnDragDrop;
     property OnDragOver;
     property OnEndDrag;
@@ -625,6 +633,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property ParentBiDiMode;
     property ParentColor;
@@ -695,6 +704,7 @@
     property Hint;
     property OnChange;
     property OnClick;
+    property OnContextPopup;
     property OnDragDrop;
     property OnDragOver;
     property OnEndDrag;
@@ -708,6 +718,7 @@
     property OnMouseWheel;
     property OnMouseWheelDown;
     property OnMouseWheelUp;
+    property OnShowHint;
     property OnStartDrag;
     property ParentBiDiMode;
     property ParentColor;
@@ -811,6 +822,7 @@
     property OnChangeBounds;
     property OnClick;
     property OnCloseUp;
+    property OnContextPopup;
     property OnDblClick;
     property OnDragDrop;
     property OnDragOver;
@@ -832,6 +844,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnSelect;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property ParentBiDiMode;
@@ -932,6 +945,7 @@
     property OnChangeBounds;
     property OnClick;
     property OnCloseUp;
+    property OnContextPopup;
     property OnDblClick;
     property OnDragDrop;
     property OnDragOver;
@@ -953,6 +967,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnSelect;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property ParentBiDiMode;
@@ -1046,6 +1061,8 @@
     property OnMouseWheel;
     property OnMouseWheelDown;
     property OnMouseWheelUp;
+    property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property ParentBiDiMode;
@@ -1105,6 +1122,7 @@
     property Enabled;
     property Font;
     property OnClick;
+    property OnContextPopup;
     property OnDblClick;
     property OnDragDrop;
     property OnDragOver;
@@ -1123,6 +1141,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property ParentBiDiMode;
@@ -1199,6 +1218,7 @@
     property KeepOriginXWhenClipped;
     property KeepOriginYWhenClipped;
     property OnClick;
+    property OnContextPopup;
     property OnDblClick;
     property OnDBImageRead: TOnDBImageRead read  FOnDBImageRead write FOnDBImageRead;
     property OnDBImageWrite: TOnDBImageWrite read FOnDBImageWrite write FOnDBImageWrite;
@@ -1214,6 +1234,8 @@
     property OnMouseWheel;
     property OnMouseWheelDown;
     property OnMouseWheelUp;
+    property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property ParentShowHint;
     property Proportional;
@@ -1275,6 +1297,7 @@
     property ParentDoubleBuffered;
     property Visible;
     property OnClick;
+    property OnContextPopup;
     property OnDragDrop;
     property OnDragOver;
     property OnEndDrag;
@@ -1282,6 +1305,8 @@
     property OnMouseDown;
     property OnDayChanged;
     property OnMonthChanged;
+    property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OnYearChanged;
   end;
@@ -1468,6 +1493,7 @@
     property Font;
     property Hints;
     property OnClick;
+    property OnContextPopup;
     property OnDblClick;
     property OnDragDrop;
     property OnDragOver;
@@ -1483,6 +1509,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property Options;
     property ParentBidiMode;
dbevents.diff (5,418 bytes)   
events.diff (11,958 bytes)   
Index: lcl/buttons.pp
===================================================================
--- lcl/buttons.pp	(Revision 64500)
+++ lcl/buttons.pp	(Arbeitskopie)
@@ -268,6 +268,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property ParentBidiMode;
@@ -438,6 +439,7 @@
     property Transparent;
     property Visible;
     property OnClick;
+    property OnContextPopup;
     property OnDblClick;
     property OnMouseDown;
     property OnMouseEnter;
@@ -449,6 +451,7 @@
     property OnMouseWheelUp;
     property OnPaint;
     property OnResize;
+    property OnShowHint;
     property OnChangeBounds;
     property ShowCaption;
     property ShowHint;
Index: lcl/colorbox.pas
===================================================================
--- lcl/colorbox.pas	(Revision 64500)
+++ lcl/colorbox.pas	(Arbeitskopie)
@@ -143,6 +143,7 @@
     property OnMouseWheel;
     property OnMouseWheelDown;
     property OnMouseWheelUp;
+    property OnShowHint;
     property OnStartDrag;
     property OnSelect;
     property OnUTF8KeyPress;
Index: lcl/comctrls.pp
===================================================================
--- lcl/comctrls.pp	(Revision 64500)
+++ lcl/comctrls.pp	(Arbeitskopie)
@@ -219,6 +219,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDock;
     property OnStartDrag;
   end;
@@ -660,6 +661,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDock;
     property OnStartDrag;
     property OnUnDock;
@@ -907,6 +909,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDock;
     property OnStartDrag;
     property OnUnDock;
@@ -1850,6 +1853,7 @@
     property OnMouseWheel;
     property OnMouseWheelDown;
     property OnMouseWheelUp;
+    property OnShowHint;
     property OnStartDock;
     property OnStartDrag;
     property Orientation;
@@ -2005,6 +2009,7 @@
     property OnMouseWheelHorz;
     property OnMouseWheelLeft;
     property OnMouseWheelRight;
+    property OnShowHint;
     property Orientation;
     property ParentColor;
     property ParentShowHint;
@@ -2387,6 +2392,7 @@
     property OnMouseWheelUp;
     property OnPaint: TNotifyEvent read FOnPaint write FOnPaint;
     property OnResize;
+    property OnShowHint;
     property OnChangeBounds;
     property OnStartDrag;
   end;
@@ -2678,6 +2684,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDock;
     property OnStartDrag;
     property OnUnDock;
@@ -2800,6 +2807,7 @@
     property OnKeyPress;
     property OnKeyUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property Orientation;
@@ -4078,6 +4086,7 @@
     property OnSectionClick;
     property OnSectionResize;
     property OnSectionTrack;
+    property OnShowHint;
   end;
 
 const
Index: lcl/extctrls.pp
===================================================================
--- lcl/extctrls.pp	(Revision 64500)
+++ lcl/extctrls.pp	(Arbeitskopie)
@@ -179,6 +179,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
 //    property Options;
 //    property PageIndex;
@@ -312,6 +313,7 @@
     property OnMouseWheelRight;
     property OnPaint;
     property OnResize;
+    property OnShowHint;
     property OnStartDock;
     property OnStartDrag;
     property Shape: TShapeType read FShape write SetShape default stRectangle;
@@ -424,6 +426,7 @@
     property OnCanOffset;
     property OnCanResize;
     property OnChangeBounds;
+    property OnContextPopup;
     property OnMoved;
     property OnMouseWheel;
     property OnMouseWheelDown;
@@ -432,6 +435,7 @@
     property OnMouseWheelLeft;
     property OnMouseWheelRight;
     property OnPaint;
+    property OnShowHint;
     property ParentColor;
     property ParentDoubleBuffered;
     property ParentShowHint;
@@ -474,6 +478,7 @@
     property Visible;
     property OnChangeBounds;
     property OnClick;
+    property OnContextPopup;
     property OnDblClick;
     property OnDragDrop;
     property OnDragOver;
@@ -493,6 +498,7 @@
     property OnPaint;
     property OnResize;
 //    property OnStartDock;
+    property OnShowHint;
     property OnStartDrag;
   end;
 
@@ -587,6 +593,7 @@
     property Enabled;
     property OnChangeBounds;
     property OnClick;
+    property OnContextPopup;
     property OnDblClick;
     property OnDragDrop;
     property OnDragOver;
@@ -606,6 +613,7 @@
     property OnPictureChanged;
     property OnPaintBackground;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property ParentShowHint;
     property Picture;
@@ -660,6 +668,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnPaint;
+    property OnShowHint;
   end;
 
 
@@ -760,6 +769,7 @@
     property Items;
     property OnChangeBounds;
     property OnClick;
+    property OnContextPopup;
     property OnDblClick;
     property OnDragDrop;
     property OnDragOver;
@@ -781,6 +791,7 @@
     property OnMouseWheelUp;
     property OnResize;
     property OnSelectionChanged;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property ParentBidiMode;
@@ -878,6 +889,7 @@
     property Items;
     property OnChangeBounds;
     property OnClick;
+    property OnContextPopup;
     property OnDblClick;
     property OnDragDrop;
     property OnDragOver;
@@ -897,6 +909,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property ParentBiDiMode;
@@ -1030,6 +1043,7 @@
     property Visible;
     property OnChange;
     property OnClick;
+    property OnContextPopup;
     property OnDblClick;
     property OnDragDrop;
     property OnDragOver;
@@ -1048,6 +1062,7 @@
     property OnMouseWheel;
     property OnMouseWheelDown;
     property OnMouseWheelUp;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
   end;
@@ -1170,6 +1185,7 @@
     property OnMouseWheelRight;
     property OnPaint;
     property OnResize;
+    property OnShowHint;
     property OnStartDock;
     property OnStartDrag;
     property OnUnDock;
@@ -1324,6 +1340,7 @@
     property OnMouseMove;
     property OnMouseUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDock;
     property OnStartDrag;
     property OnUnDock;
@@ -1673,6 +1690,7 @@
     property OnMouseWheelUp;
     property OnPaint;
     property OnResize;
+    property OnShowHint;
     property OnStartDock;
     property OnStartDrag;
     property OnUnDock;
Index: lcl/forms.pp
===================================================================
--- lcl/forms.pp	(Revision 64500)
+++ lcl/forms.pp	(Arbeitskopie)
@@ -234,6 +234,7 @@
     //property OnCanResize;
     property OnClick;
     property OnConstrainedResize;
+    property OnContextPopup;
     property OnDblClick;
     property OnDockDrop;
     property OnDockOver;
@@ -256,6 +257,7 @@
     property OnMouseWheelLeft;
     property OnMouseWheelRight;
     property OnResize;
+    property OnShowHint;
     property OnStartDock;
     property OnStartDrag;
     property OnUnDock;
Index: lcl/grids.pas
===================================================================
--- lcl/grids.pas	(Revision 64500)
+++ lcl/grids.pas	(Arbeitskopie)
@@ -1672,6 +1672,7 @@
     property OnSelectCell;
     property OnSetCheckboxState;
     property OnSetEditText;
+    property OnShowHint;
     property OnStartDock;
     property OnStartDrag;
     property OnTopleftChanged;
Index: lcl/maskedit.pp
===================================================================
--- lcl/maskedit.pp	(Revision 64500)
+++ lcl/maskedit.pp	(Arbeitskopie)
@@ -319,6 +319,7 @@
     property Visible;
     property OnChange;
     property OnClick;
+    property OnContextPopup;
     property OnDblClick;
     property OnDragDrop;
     property OnDragOver;
@@ -338,6 +339,7 @@
     property OnMouseWheel;
     property OnMouseWheelDown;
     property OnMouseWheelUp;
+    property OnShowHint;
     property OnStartDock;
     property OnStartDrag;
     property OnUTF8KeyPress;
Index: lcl/pairsplitter.pas
===================================================================
--- lcl/pairsplitter.pas	(Revision 64500)
+++ lcl/pairsplitter.pas	(Arbeitskopie)
@@ -134,6 +134,7 @@
     property Color;
     property Cursor;
     property Enabled;
+    property OnContextPopup;
     property OnMouseDown;
     property OnMouseEnter;
     property OnMouseLeave;
@@ -143,6 +144,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnChangeBounds;
     property ParentShowHint;
     property PopupMenu;
Index: lcl/stdctrls.pp
===================================================================
--- lcl/stdctrls.pp	(Revision 64500)
+++ lcl/stdctrls.pp	(Arbeitskopie)
@@ -155,6 +155,7 @@
     property OnKeyPress;
     property OnKeyUp;
     property OnScroll;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
   end;
@@ -229,6 +230,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDock;
     property OnStartDrag;
     property OnUnDock;
@@ -494,6 +496,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnSelect;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property ParentBidiMode;
@@ -988,6 +991,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property ParentColor;
@@ -1052,6 +1056,8 @@
     property OnMouseWheelHorz;
     property OnMouseWheelLeft;
     property OnMouseWheelRight;
+    property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property ParentBidiMode;
@@ -1146,6 +1152,7 @@
     property OnMouseWheelLeft;
     property OnMouseWheelRight;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property ParentBidiMode;
     property ParentFont;
@@ -1295,6 +1302,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property ParentDoubleBuffered;
@@ -1402,6 +1410,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OnUTF8KeyPress;
     property ParentColor;
@@ -1447,6 +1456,7 @@
     property Hint;
     property OnChange;
     property OnClick;
+    property OnContextPopup;
     property OnDragDrop;
     property OnDragOver;
     property OnEndDrag;
@@ -1460,6 +1470,7 @@
     property OnMouseWheel;
     property OnMouseWheelDown;
     property OnMouseWheelUp;
+    property OnShowHint;
     property OnStartDrag;
     property ParentBidiMode;
     property ParentDoubleBuffered;
@@ -1525,6 +1536,7 @@
     property OnMouseWheelDown;
     property OnMouseWheelUp;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property ParentBidiMode;
     property ParentColor;
@@ -1653,6 +1665,7 @@
     property OnMouseWheelLeft;
     property OnMouseWheelRight;
     property OnResize;
+    property OnShowHint;
     property OnStartDrag;
     property OptimalFill;
   end;
events.diff (11,958 bytes)   

Juha Manninen

2021-02-08 19:03

developer   ~0128826

I did not study the affected components yet.
Did you test that the events really happen?

Reinhard Kalinke

2021-02-09 12:13

reporter   ~0128837

Last edited: 2021-02-09 15:45

View 2 revisions

I tested some, but not nearly all. But since all controls published PopupMenu resp. Hint/ShowHint and these events are implemented with TControl I just don't see why they should not happen...?

PS Forgot to mention that I also added OnResize two or three times when I happened to notice they were lacking.

wp

2021-02-09 19:16

developer   ~0128839

Hmmm... I don't think that we should do all of them The list of events in the object inspector is soooo long, and we should not add more just for the sake of completeness without a benefit to anybody. And if someone really needs an OnShowHint or an OnResize for a - whatever - control: OnShowHint and OnResize are public properties of TControl, therefore, they still can be used by assigning event handlers by code.

Nevertheless, I think your work was not useless. I took the time and compared these events with Delphi under the focus of Delphi compatibility and found a variety of controls (see attached list) in which Delphi publishes them but we don't. Therefore, from the viewpoint of Delphi compatibility I want to publish them too, to avoid problems in the conversion from Delphi.

There are also cases in which Lazarus does publish the property, but Delphi does not. Since unpublishing them in Lazarus to achieve ultimate Delphi compatibility would break user code I want to keep them.

There is one special case in TShape which does not have a PopupMenu neither in Lazarus nor in Delphi, but Delphi publishes the OnContextPopup event -- this does not make much sense to me.

wp

2021-02-09 19:36

developer   ~0128840

comparison.txt (6,051 bytes)   
+ = available, - = missing, L = Lazarus trunk, D = Delphi XE10.3.3

Unit      Class             ShowHint  OnContextPopup  OnShowHint  OnResize  Difference Laz-Delphi  Notes
--------- ----------------- --------  --------------  ----------  --------  ---------------------  ----------------------------------------
Buttons   TBitBtn           L+ D+     L+ D+           L- D-       L+ D-
          TSpeedButton      L+ D+     L- D-           L- D-       L+ D-      <---                   Add OnContextPopup to complete like the other buttons         

ColorBox  TColorBox         L+ D+     L+ D+           L- D-       L- D-

ComCtrls  TStatusBar        L+ D+     L+ D+           L- D-       L+ D+
          TPageControl      L+ D+     L+ D+           L- D-       L+ D+
          TTabControl       L+ D+     L+ D+           L- D-       L+ D+
          TProgressBar      L+ D+     L+ D+           L- D-       L- D-
          TUpDown           L+ D+     L+ D+           L- D-       L- D-
          TToolbar          L+ D+     L+ D+           L- D-       L+ D+
          TCoolbar          L+ D+     L+ D+           L- D-       L+ D+
          TTrackbar         L+ D+     L+ D+           L- D-       L+ D-      <---                   
          THeaderControl    L+ D+     L+ D+           L- D-       L+ D+

ExtCtrls  TNotebook         L- D+     L+ D+           L- D-       L+ D-      <---                   Add ShowHint for compatibility (will be hidden by pages, though).
          TShape            L+ D+     L- D+           L- D-       L+ D-      <---                   OnContextMenuPopup could be added for compatibility, but since it has no Popup (like in delphi) what would it be good for?
          TSplitter         L+ D-     L- D-           L- D-       L- D-      <---
          TPaintbox         L+ D+     L- D+           L- D-       L+ D-      <---                   Add OnContextPopup for compatibility
          TImage            L+ D+     L- D+           L- D-       L+ D-      <---                   Add OnContextPopup for compatibility
          TBevel            L+ D+     L- D-           L- D-       L+ D-      <---
          TRadioGroup       L+ D+     L- D-           L- D-       L+ D-      <---
          TCheckGroup       L+        L-              L-          L+                                in Delphi not available
          TLabeledEdit      L+        L-              L-          L-                                in Delphi not available
          TPanel            L+ D+     L+ D+           L- D-       L+ D+
          TFlowPanel        L+ D+     L+ D+           L- D-       L+ D+
          TControlBar       L+ D+     L+ D+           L- D-       L+ D+

Forms     TScrollbox        L+ D+     L- D+           L- D-       L+ D+      <---

Grids     TDrawGrid         L+ D+     L+ D+           L- D-       L- D-

MaskEdit  TMaskEdit         L+ D+     L- L-           L- D-       L- D-

PairSpl.  TPairSplitter     L+        L-              L-          L+                               in Delphi not available

StdCtrls  TScrollbar        L+ D+     L+ D+           L- D-       L- D+
          TGroupbox         L+ D+     L+ D+           L- D-       L+ D-      <---
          TComboBox         L+ D+     L+ D+           L- D-       L- D-
          TEdit             L+ D+     L+ D+           L- D-       L+ D-      <---
          TMemo             L+ D+     L+ D+           L- D-       L- D-                            OnResize appears useful (rewrap lines after size change?=
          TStaticText       L+ D+     L+ D+           L- D-       L+ D-      <---
          TButton           L+ D+     L+ D+           L- D-       L+ D-      <---
          TCheckbox         L+ D+     L+ D+           L- D-       L+ D-      <---
          TToggleBox        L+        L-              L-          L-                               in Delphi not available. Add OnContextPopup and OnResize to complete like the other buttons
          TRadioButton      L+ D+     L+ D+           L- D-       L+ D-      <---
          TLabel            L+ D+     L+ D+           L- D-       L+ D-      <---  

-------------

DBCtrls   TDBEdit           L+ D+     L- D+           L- D-       L- D-      <---                  Add OnContextPopup for Delphi compatibility
          TDBListbox        L+ D+     L- D+           L- D-       L+ D-      <---                  Add OnContextPopup for Delphi compatibility
          TDBLookupListbox  L+ D+     L- D+           L- D-       L+ D-      <---                  Add OnContextPopup for Delphi compatibility
          TDBRadioGroup     L+ D+     L- D+           L- D-       L+ D-      <---                  Add OnContextPopup for Delphi compatibility                            
          TDBCheckbox       L+ D+     L- D+           L- D-       L- D-      <---                  Add OnContextPopup for Delphi compatibility
          TDBCombobox       L+ D+     L- D+           L- D-       L- D-      <---                  Add OnContextPopup for Delphi compatibility
          TDBLookupCombo    L+ D+     L- D+           L- D-       L- D-      <---                  Add OnContextPopup for Delphi compatibility
          TDBMemo           L+ D+     L+ D+           L- D-       L- D-                            Add OnResize to be compatibile with TMemo
          TDBGroupBox       L+        L-              L-          L+                               In Delpi not available. Add OnContextPopup to be compatible with the other DB controls
          TDBImage          L+ D+     L- D+           L- D-       L- D-                            Add OnContextPopup for Delphi compatibility and OnResize for compatibility with TImage
          TDBCalendar       L+        L-              L-          L+                               In Delphi not available. Add OnContextPopup to be compatible with the other DB controls
          TDBNavigator      L+ D+     L- D+           L- D-       L+ D+      <---                  Add OnContextPopup for Delphi compatibility

comparison.txt (6,051 bytes)   

wp

2021-02-09 19:46

developer   ~0128841

Fixed in r64513. As noted I published OnContextPopup for those controls where Delphi has it. For a few other controls I also published OnContextPopup and/or OnResize when related controls have it, too. It would not be very logical when TSpeedButton does not have OnContextPopup, but TButton and TBitBtn do. And I published OnResize when I had the feeling that it is really missing (e.g. in TMemo).

Please test and close if ok.

Reinhard Kalinke

2021-02-11 18:51

reporter   ~0128897

Thanks. I would still vote for publishing these events with every control that features the corresponding properties, however, not lest because there seems to be no reasonable criteria of Delphi publishing it or not. I guess most of the time they simply have been forgotten as well. TShape seems to be a special example feeding this suspicion...

Reinhard Kalinke

2021-02-19 11:15

reporter   ~0129013

Tested ok so far and closed for now. I still think that these are useful events anyway that should be available under before mentioned conditions but that might be subject to later changes or requests.

Issue History

Date Modified Username Field Change
2021-02-07 21:53 Reinhard Kalinke New Issue
2021-02-07 21:53 Reinhard Kalinke File Added: dbevents.diff
2021-02-07 21:53 Reinhard Kalinke File Added: events.diff
2021-02-08 19:03 Juha Manninen Note Added: 0128826
2021-02-09 12:13 Reinhard Kalinke Note Added: 0128837
2021-02-09 14:15 wp Assigned To => wp
2021-02-09 14:15 wp Status new => assigned
2021-02-09 15:45 Reinhard Kalinke Note Edited: 0128837 View Revisions
2021-02-09 19:16 wp Note Added: 0128839
2021-02-09 19:16 wp File Added: comparison.txt
2021-02-09 19:35 wp File Deleted: comparison.txt
2021-02-09 19:36 wp Note Added: 0128840
2021-02-09 19:36 wp File Added: comparison.txt
2021-02-09 19:46 wp Status assigned => resolved
2021-02-09 19:46 wp Resolution open => fixed
2021-02-09 19:46 wp Fixed in Version => 2.2
2021-02-09 19:46 wp Fixed in Revision => 64513
2021-02-09 19:46 wp LazTarget => -
2021-02-09 19:46 wp Note Added: 0128841
2021-02-11 18:51 Reinhard Kalinke Note Added: 0128897
2021-02-19 11:15 Reinhard Kalinke Status resolved => closed
2021-02-19 11:15 Reinhard Kalinke Note Added: 0129013